Commit b8e69eb7 authored by Vladimir Mencl's avatar Vladimir Mencl

PIP: add requirements-optional.txt

As per discussion in #10:

* Make PyYAML import floating in 3.x (without pinning to 3.0.10)
* Move Mako import to new file requirements-optional.txt
* Update docs/installation/requirements.md to refer to requirements-optional.txt
parent 6bd36aca
......@@ -26,4 +26,9 @@ User authentication via social media is carried out by the [python-social-auth](
## Pip requirements.txt file
DjNRO has also a requirements file which can be used with pip
DjNRO has also a requirements file which can be used with pip.
In addition to the core requirements in ````requirements.txt````, there are
also optional packages, needed for additional functinonality like rendering
data export templates (invoked separately outside of the Django application).
These are listed in ````requirements-optional.txt````.
......@@ -9,5 +9,4 @@ python-social-auth==0.2.10
requests==2.7.0
wsgiref==0.1.2
lxml>=2.3.2
Mako==1.0.3
PyYAML==3.11
PyYAML>=3.11,<4
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment